Mail archive
alpine-devel

[alpine-devel] [PATCH] netstat-nat package APKBUILD

From: Marcin Mankiewicz <marcin.mankiewicz_at_interrisk.pl>
Date: Mon, 16 Sep 2013 08:36:45 +0200

---
 main/netstat-nat/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 main/netstat-nat/APKBUILD
diff --git a/main/netstat-nat/APKBUILD b/main/netstat-nat/APKBUILD
new file mode 100644
index 0000000..c771b09
--- /dev/null
+++ b/main/netstat-nat/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Marcin Mankiewicz <marcin.mankiewicz_at_interrisk.pl>
+# Maintainer:
+pkgname=netstat-nat
+pkgver=1.4.10
+pkgrel=0
+pkgdesc="Netstat-nat displays NAT connections, managed by netfilter/iptables which comes with the > 2.4.x linux kernels."
+url="http://tweegy.nl/projects/netstat-nat/"
+arch="all"
+license="GNU GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+subpackages="$pkgname-doc"
+source="http://tweegy.nl/download/netstat-nat-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make install DESTDIR="$pkgdir"
+}
+md5sums="c1bbb3ee9774ebfa27c440e2d9dd7286  netstat-nat-1.4.10.tar.gz"
+sha256sums="e945faa283a49f33af15de915a949c9273a230fc17154925364c547adab676ca  netstat-nat-1.4.10.tar.gz"
+sha512sums="2089119b26039e656fbe76701e556f7d766159c96b18968195f255e15072af37972c83a8f05edb0b767a12f0521598975673d10d8ba5e6ed6b754a927d4f069d  netstat-nat-1.4.10.tar.gz"
-- 
1.8.2.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Sep 16 2013 - 08:36:45 GMT